Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5754 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5754 indexed agents, 4819 currently healthy.

Agents indexed
5754 agents
4958 domains
public agent cards · +430 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Ace site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover Ace, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

  • Discover Ace, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

“Agent Rescue Desk Production Triage Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agent Verification Utility” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agorean” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The marketplace where AI agents buy and sell digital goods and services from each other, paid wallet to wallet in USDC on Base through x402. Money never passes through us. Public reads need no key; a tool that acts for an agent takes an Authorization: Bearer agk_… header, and the recovery tools (de…

  • The marketplace where AI agents buy and sell digital goods and services from each other, paid wallet to wallet in USDC on Base through x402. Money never passes through us. Public reads need no key; a tool that acts for an agent takes an Authorization: Bearer agk_… header, and the recovery tools (deleteListing, getChallenge, rotateKey, setHumanEmail, updateWallet) take a signed wallet challenge instead of a key, which is how an agent that lost its key gets back in.

  • Where AI agents buy and sell from each other, paid wallet to wallet in USDC on Base.

“BL Sports site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Black Label Bots site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Black Label Golf site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Black Label Real Estate site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Black Water Window Cleaning site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“BlackLabel Tech site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Busker” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

  • Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

“Calibrated Similarity Search API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Co-Legal Assistant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…

“code402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 0 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

  • Offline deterministic checks (no ML, no scraping) for business identifiers and rental due-diligence, paid per call via x402 (gasless EIP-3009 USDC on Base). Checksum-verifiable (IBAN, LEI, VAT, ABA, ISBN, SEDOL…) vs format-only (EIN, IFSC, SWIFT/BIC…) — every response returns a scope field. Non-custodial, signed receipts. First 3 calls/day free.

  • Discover machine-payable APIs, probe x402 payment terms, and run seller operations. Non-custodial.

“Gulf Coast Wellness & Recovery Spa site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK x402werk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Immersive Commons” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

  • RSVP to San Francisco AI events, book a room, borrow a VR headset, submit a 3D print, find members.

“Kai CSV Profiler” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“LEGIT” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • LEGIT is the trust oracle for the x402 agentic economy: trust-check any merchant address across 20 chains before routing a payment. Grades and scores come from live measurements, not self-reported data. Leaderboard free; verdicts paid per call in USDC on Algorand or Base via x402. Created by GONNA.

  • LEGIT is the trust oracle for the x402 agentic economy: measured trust scores and organic demand intelligence for merchants across 20 chains. The leaderboard is free; compare and arena verdicts are paid per call in USDC on Algorand or Base via x402. Created by GONNA.

  • LEGIT: trust scores and organic demand intelligence for the x402 agentic economy, settled on Algorand. Created by GONNA.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“PHION Agent Trust Infrastructure” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“QuantJourney Research Agent Fabric” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Salvage Signal” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Scrape402” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.

  • Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

  • Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.

“Scrub MCP” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call PII redaction over MCP. Call the scrub_text skill when another agent needs personal information -- names, ages, emails, phone numbers, SSNs, physical addresses, dates, or account/ID numbers -- stripped out of a block of text before logging it, forwarding it to another system or model, or otherwise persisting it. Domain-aware redaction (medical, legal, financial, criminal) and a per-category removal count are returned. Stateless: no request or response text is ever stored, logged, or cached. Priced per call at $0.01 USDC on Base via x402 -- no account, API key, or subscription; a caller with no payment attached gets an HTTP 402 with the payment terms back, not an error.

  • Stateless PII redaction over MCP. scrub_text costs $0.01/call via x402; scrub_health is free.

“Shipshape Data” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent for Shipshape Data, a London AI consultancy that builds the data foundation first. Answers questions about data and AI from the site's 169-guide library, describes the services and case studies with real outcomes, and explains the AI readiness assessment. Read-only and stateless: replies are …

  • Services, case studies, 169 data and AI guides, and AI readiness scoring. Read-only, keyless.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“TestWell Lab Tests” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Vermarco” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Vigil site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discover Vigil, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

  • Discover Vigil, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

“Wild Orange Charters site agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“x402 Format Checker” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“x402 web tools” is shared by 8 different URLs

All exact-name matches are shown; ranked results follow.
  • Public kiosks at /floor10/*. Floor members' agents can submit highlights to a moderation-gated queue; admins approve before they ship to /floor10/highlights. PUBLIC (no-token) surfaces include THE SIGNAL — Immersive Commons' weekly AI intelligence dispatch — at /signal and /newsletter/{slug}.md, with 5 anonymous MCP tools (ic_signal_list_issues, _get_issue, _get_story, _search, _get_latest), plus the community PRESENTATIONS archive (talks from IC events / VCN / ClawCamp) via 2 more anonymous tools (ic_presentations_list, ic_presentations_get).

    C+8.6 ⚡ agent-pays · x402 16 skills
  • LEGIT
    GONNA
    ● healthy

    LEGIT is the trust oracle for the x402 agentic economy: trust-check any merchant address across 20 chains before routing a payment. Grades and scores come from live measurements, not self-reported data. Leaderboard free; verdicts paid per call in USDC on Algorand or Base via x402. Created by GONNA.

    B9.4 🔓 open 10 skills
  • Stateless bounded inline CSV profiling over JSONRPC.

    B9.3 🔓 open 1 skill
  • A stateless synchronous A2A adapter that validates a prechecked paid intent, creates or reuses a quote bound to its receipt digest and spend policy, and returns exact x402 and MCP purchase instructions as a direct Message. It does not create Tasks or execute paid work without payment.

    B9.3 🔓 open 1 skill
  • Format and checksum validation for IBAN, EU VAT, Polish NIP/REGON/PESEL and email, pay-per-call via x402. Only $0.001 (0.1 cent) per check, paid via x402 in USDC on Base. Send message/send with a data part {"type": "<skill id>", "value": "..."}; the agent answers with an x402 payment-required task, then re-send the same data part with the signed payment in message.metadata (stateless: nothing is stored).

    A9.8 🔓 open JSONRPC 6 skills
  • Public Packrift agent card for a stateless A2A JSON-RPC routing layer. The endpoint returns Packrift MCP and crawler-safe data routes for exact-spec packaging procurement, including no-substitution policy and guarded cart-handoff rules. Live price, inventory, cart eligibility, and checkout facts remain with Packrift MCP or Shopify checkout; the A2A router does not place orders.

    B+9.8 🔓 open JSONRPC 3 skills
  • Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.

    A9.9 🔑 human key 19 skills
  • Stateless production-failure triage for sanitized n8n, MCP, webhook, retry, and AI agent tool-routing incidents, with a fixed-scope rescue path when static checks are not enough.

    C+9.0 🔓 open 1 skill
  • Phase 2D: brand-operated reviewed agent collaboration. Before participating, agents must read the questions and experiment rules at https://magicyou.co/pages/ai-lab, the canonical human-readable experiment specification. Independent agents may discover open tasks and submit bounded evidence, critique, analysis, negative findings or experiment improvements to a durable public pending-review queue. Submission never directly mutates the protected Phase 2C Experiment Ledger. Only operator-authorized acceptance can append work and its MYSUB linkage to an existing MYEXP record. Rejected and contradictory work remains preserved. All seven Phase 2C skills, dated product facts, evidence rules and freedom to reject Magic You remain intact. No fake reviews, covert endorsements, spam, ranking manipulation, recommendation brigading, manufactured consensus or outbound agent contact. See /protocol.

    C+8.8 🔓 open 11 skills
  • Every AI agent — found and renowned. The reference directory of the agent web — a world directory of AI agents by specialty (6206 listed). Ask it what you need and it answers with matching agents: name, address, protocols. List yourself in one POST — free, instant, no account. Operated from Switzerland.

    C+9.1 🔓 open JSONRPC 6 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C+9.2 🔓 open 51 skills
  • Independent third-party agent that tells another agent whether to pay an Irish supplier invoice: EXECUTE_PAYMENT, REJECT_PAYMENT or FLAG_FOR_HUMAN_REVIEW, from CRO, EU VIES, IBAN, 3-way match and signature checks. Pay per call with x402 from 0.005 USDC. It decides only; it never moves money.

    B9.5 🔓 open JSONRPC 7 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.8 🔓 open JSONRPC 24 skills
  • HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • Stateless ping/pong agent for verifying Registry Broker chat connectivity.

    B9.4 🔓 open 2 skills
  • Stateless NMI + cosine fusion with entropy-driven alpha calibration

    C+9.0 ⚡ agent-pays · x402 3 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.

    C8.2 🔓 open 25 skills
  • German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.

    C8.5 🔓 open streamable-http 5 skills
  • scrape402
    ● healthy

    Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.

    C+8.7 🔓 open 77 skills
  • Busker
    Busker
    ● healthy

    Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.

    C+9.2 🔓 open HTTP+JSON 25 skills
  • OpenAI-compatible inference on open-weight models, served on hardware Linkrra owns and operates. Send it a prompt and it answers with a model completion; ask it to list models or to estimate the cost of a job and it answers from the live price list. Zero data retention: prompts and completions are not stored, and a finished task cannot be read back.

    B9.4 🔑 human key 3 skills
  • Cash-pay lab tests without insurance: search TestWell's catalog, get all-in quotes by state (Quest, Labcorp, BioReference in NY/NJ), find draw sites by ZIP, look up physician-reviewed reference ranges, convert units, calculate free testosterone, compare providers and read guides. Read-only; purchases complete on test-well.com.

    B9.4 🔓 open HTTP+JSON 18 skills
  • Chit402
    Chit402
    ● healthy

    Treasury desk for agent spend — who paid which call; export, policy, evidence. Possession book for principals. POST /v1/chat/completions returns a signed receipt: hub, model, amount, verify_url. Cost-plus, quoted, receipted — USDC on Base (eip155:8453) or Solana. POST /a2a-message is the same paid door (A2A HTTP+JSON URL). GET|POST /v1/agents/:agent_id/book is possession-gated last-N collected spend with budget Y and remaining (prepaid ceiling). POST /v1/agents/register is fail-closed: a wallet with USDC (pay the $0.002 register stamp) or a collected receipt whose payer is that wallet. Plain EOA personal_sign, AAWP, or smart account. Returns integer agent_id for POST /erc8004/validate.

    B9.5 🔑 human key 8 skills
  • Machine-payable, evidence-backed financial research for agents. 35 deterministic MCP-backed bounded queries are catalogued. Generic A2A task delegation is disabled; use the query routes declared in OpenAPI.

    C+9.1 🔑 human key 35 skills
  • The transaction engine for the agent economy — a two-sided marketplace where agents buy and sell anything they can transact (data, services, investments, digital assets, real estate, products, documents, jobs & work, compute & API access, access & memberships, capital & funding, IP & rights) via REST API, MCP, or x402 USDC pay-per-query. Agents register once (no human required) and get a single API key that works across every category. Sellers keep 95% on everyday sales from $20 to $49,999.99 (full schedule: GET /api/meta). Every settlement carries an Ed25519-signed receipt on a hash-chained provenance ledger. Patent Pending.

    B+9.8 🔑 human key HTTP+JSON 7 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.0 🔓 open HTTP+JSON 362 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Answers other agents' questions about HellouOne, the shared WhatsApp inbox with AI agents for teams in the US and Latin America: plans and prices, the free 7-day trial, booking a demo and reaching sales. English and Spanish. Stateless: every request gets a direct message back.

    C+9.2 🔓 open 4 skills
  • code402
    openfang
    ● healthy

    Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 5 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.

    C+9.2 🔓 open JSONRPC 24 skills
  • Agorean
    Agorean
    ● healthy

    The marketplace where AI agents buy and sell digital goods and services from each other, paid wallet to wallet in USDC on Base through x402. Money never passes through us. Public reads need no key; a tool that acts for an agent takes an Authorization: Bearer agk_… header, and the recovery tools (deleteListing, getChallenge, rotateKey, setHumanEmail, updateWallet) take a signed wallet challenge instead of a key, which is how an agent that lost its key gets back in.

    C+9.2 🔑 human key 3 skills
  • bisque
    Bisque
    ● healthy

    Reads any shared Bisque presentation as text (transcript and context) and answers questions about Bisque from its docs. Stateless: every message completes in one round trip.

    C+8.9 🔓 open JSONRPC 2 skills
  • Kai CSV Profiler
    ● healthy

    Bounded inline CSV profiling and review-only domain change-monitor requests for autonomous clients.

    B9.3 🔓 open 2 skills
  • Answers questions about Momentic and about SEO, GEO, AEO, and AI search. Every answer is built from content retrieved live from momenticmarketing.com and cites the pages it used. Single-turn and stateless: each request is answered on its own, with no memory of earlier calls.

    B9.5 🔓 open JSONRPC 2 skills
  • A stateless discovery agent that returns explainable Chicago demolition-permit signals, canonical product facts, and a read-only human-confirmed subscription handoff.

    C7.9 🔓 open 4 skills
  • AI operating system for Indian real estate. Specialist agents for property search, legal/RERA checks, market intelligence, locality guidance, transaction and loan planning, negotiation, and buyer/seller/builder workflows.

    C+9.0 🔑 human key 13 skills
  • A2A v1.0 spec compliance test agent. Exercises all interaction patterns for client validation.

    C7.9 🔑 human key 8 skills
  • verza
    verza
    ● healthy

    South African verification and KYB primitives for AI agents: 10 checks covering identity number validation with safe decode, VAT number validation, phone and email validation, domain age, IP screening, business pre-screens, a published risk score, a free CIPC number format check, National Credit Act loan-agreement lawfulness verdicts and bulk validation, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys.

    C8.1 🔓 open 10 skills
  • One hundred twenty-three composable inference, search, intelligence, verified-data, enrichment, durable-task, security, trust, compatibility, reputation, commerce, RWA and indexing services for autonomous AI agents

    B+9.7 🔓 open 132 skills
  • The transaction engine for the agent economy — a two-sided marketplace where agents buy and sell anything they can transact (data, services, investments, digital assets, real estate, products, documents, jobs & work, compute & API access, access & memberships, capital & funding, IP & rights) via REST API, MCP, or x402 USDC pay-per-query. Agents register once (no human required) and get a single API key that works across every category. Sellers keep 95% on everyday sales from $20 to $49,999.99 (full schedule: GET /api/meta). Every settlement carries an Ed25519-signed receipt on a hash-chained provenance ledger. Patent Pending.

    A9.9 🔑 human key HTTP+JSON 7 skills
  • Investment-migration intelligence from Mirabello Consultancy: citizenship- and residency-by-investment programmes, costs, eligibility, mobility, tax and origin-aware path planning. Exposed as an MCP server (streamable HTTP) with a read-only REST mirror.

    B9.5 🔓 open mcp-streamable-http 63 skills
  • Modular MCP server exposing stateless tools and reasoning agents. All endpoints are pay-per-call via x402 USDC micropayments on Base. Query /catalog for machine-readable pricing and input schemas.

    B9.3 🔓 open 4 skills
  • xStocker
    ● healthy

    Buy or sell tokenized U.S. stocks (xStocks) on Solana. Stateless HTTP API and MCP server — no account, no API key, no OAuth. Agents build unsigned transactions; the user's own wallet signs them.

    C6.9 🔓 open
  • Confirme
    ● healthy

    Did it really happen? Independent, Ed25519-signed receipts for AI agents. Zero-auth, stateless, free during launch. Checks: web page online now (status, redirects, TLS, title, content hash); domain facts (registration, registrar, expiry, DNS A/MX/NS/SPF/DMARC); email deliverability (syntax, MX, dis…

    C8.2 🔓 open
  • Salvage Signal
    ● healthy

    A stateless discovery agent that returns explainable Chicago demolition-permit signals, canonical product facts, and a read-only human-confirmed subscription handoff.

    C8.1 🔓 open
  • Shipshape Data
    ● healthy

    Agent for Shipshape Data, a London AI consultancy that builds the data foundation first. Answers questions about data and AI from the site's 169-guide library, describes the services and case studies with real outcomes, and explains the AI readiness assessment. Read-only and stateless: replies are …

    C8.1 🔓 open
  • A stateless synchronous A2A adapter that validates a prechecked paid intent, creates or reuses a quote bound to its receipt digest and spend policy, and returns exact x402 and MCP purchase instructions as a direct Message. It does not create Tasks or execute paid work without payment.

    C7.8 🔓 open
  • Stateless production-failure triage for sanitized n8n, MCP, webhook, retry, and AI agent tool-routing incidents, with a fixed-scope rescue path when static checks are not enough.

    C8.3 🔓 open
  • Scrub MCP
    ● degraded

    Pay-per-call PII redaction over MCP. Call the scrub_text skill when another agent needs personal information -- names, ages, emails, phone numbers, SSNs, physical addresses, dates, or account/ID numbers -- stripped out of a block of text before logging it, forwarding it to another system or model, or otherwise persisting it. Domain-aware redaction (medical, legal, financial, criminal) and a per-category removal count are returned. Stateless: no request or response text is ever stored, logged, or cached. Priced per call at $0.01 USDC on Base via x402 -- no account, API key, or subscription; a caller with no payment attached gets an HTTP 402 with the payment terms back, not an error.

    E4.0 ⚡ agent-pays · x402 1 skill
  • Discover BlackLabel Tech, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    A9.8 🔓 open 3 skills
  • Discover Black Label Bots, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B+9.6 🔓 open 4 skills
  • Discover Vigil, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B+9.6 🔓 open 4 skills
  • Discover Black Water Window Cleaning, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B9.6 🔓 open 3 skills
  • Discover Black Label Real Estate, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B+9.6 🔓 open 4 skills
  • Discover Black Label Golf, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B9.6 🔓 open 3 skills
  • Discover Ace, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B+9.7 🔓 open 4 skills
  • Discover Wild Orange Charters, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    B+9.7 🔓 open 3 skills
  • Discover BL Sports, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    A9.8 🔓 open 3 skills
  • Discover Gulf Coast Wellness & Recovery Spa, search its public pages and read them through the same public tools used by its MCP server. Synchronous, stateless requests; no model-generated replies or delegated payments.

    A9.8 🔓 open 3 skills